glibmm: Glib::MarkupError Class Reference

glibmm 2.34.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::MarkupError Class Reference
Simple XML Subset Parser

Exception class for markup parsing errors. More...

`#include <glibmm/markup.h>`

Inheritance diagram for Glib::MarkupError:
[legend]

## Public Types
enum | Code { BAD_UTF8, EMPTY, PARSE, UNKNOWN_ELEMENT, UNKNOWN_ATTRIBUTE, INVALID_CONTENT, MISSING_ATTRIBUTE }

## Public Member Functions
| MarkupError (Code error_code, const Glib::ustring& error_message)
| MarkupError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for markup parsing errors.

## Member Enumeration Documentation

enum Glib::MarkupError::Code

Enumerator:

  BAD_UTF8 | Text being parsed was not valid UTF-8.
  EMPTY | Document contained nothing, or only whitespace.
  PARSE | Document was ill-formed.
  UNKNOWN_ELEMENT | This error should be set by Glib::Markup::Parser virtual methods; element wasn't known.
  UNKNOWN_ATTRIBUTE | This error should be set by Glib::Markup::Parser virtual methods; attribute wasn't known.
  INVALID_CONTENT | This error should be set by Glib::Markup::Parser virtual methods; something was wrong with contents of the document, e.g. invalid attribute value.
  MISSING_ATTRIBUTE |

## Constructor & Destructor Documentation

Glib::MarkupError::MarkupError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Glib::MarkupError::MarkupError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Glib::MarkupError::code | ( |  | ) | const